notifyByReturn
API ExplorerCreate external transaction notifying via standard return redirection.
Header Parameters
Authentication token generated using the API Key and Secret Key. Required for all API requests.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com" \ -H "token: string" \ -H "Content-Type: application/json" \ -d '{ "merchantAuthentication": { "merchantId": "", "transactionReferenceId": "" }, "transactionRequest": { "transactionType": 1, "amount": "", "calculateFee": false, "tipsInputPrompt": false, "calculateTax": false, "expiry": 1, "tipAmount": "", "feeAmount": "", "feeLabel": "", "lTaxAmount": "", "lTaxLabel": "", "gTaxAmount": "", "gTaxLabel": "", "txReferenceTag1": { "tagLabel": "", "tagValue": "", "isTagMandate": false }, "txReferenceTag2": { "tagLabel": "", "tagValue": "", "isTagMandate": false }, "txReferenceTag3": { "tagLabel": "", "tagValue": "", "isTagMandate": false } }, "notificationOption": { "failureUrl": "", "returnUrl": "", "notifyByRedirect": true, "cancelUrl": "" }, "preferences": { "integrationType": 1, "avsVerification": false, "eReceipt": false, "eReceiptInputPrompt": false, "customerName": "", "customerEmail": "", "customerMobile": "", "sendPaymentLink": false, "requestCardToken": false, "shortenURL": false, "integrationVersion": "" }, "avs": { "Zip": "", "StreetNo": "" }, "l3Data": { "Header": { "TaxAmount": 0, "LocalTaxFlag": 1, "NationalTaxAmount": 0, "DestZipCode": "", "SummaryCommodityCode": "", "TaxRateApplied": 0, "TotalDiscountAmount": 0, "PoNumber": "", "FreightAmount": 0, "DutyAmount": 0, "ShipFromZipCode": "", "DestCountryCode": "", "MerchantTaxId": "", "LineItemCount": "001", "AltTaxAmount": 0, "PurchaseIdentifier": "", "PurchaseIdFormatCode": "Z", "OrderDate": "", "AltTaxIndicator": "" }, "Items": [ { "CommodityCode": "", "Description": "", "ProductCode": "", "Quantity": 1, "UnitOfMeasure": "EA", "UnitCost": 0, "TaxAmount": 0, "TaxRate": 0, "DiscountAmount": 0, "DiscountRate": 0, "DiscountIndicator": 0, "NetGrossIndicator": "N", "DebitCreditIndicator": "D", "ExtLineAmount": 0, "AltTaxID": 0, "TaxTypeApplied": "", "UnitPriceDecimal": 0, "NationalTaxAmount": 0, "NationalTaxRate": 0, "TaxIndicator": 0 } ] }, "personalization": { "merchantName": "", "logoUrl": "", "themeColor": "", "description": "", "payNowButtonText": "", "buttonColor": "", "cancelButtonText": "", "disclaimer": "" } }'{
"message": "Url generated Successful",
"information": "https://payment.ipospays.tech/api/v1/externalPay?t=< token-value >"
}{
"errors": [
{
"field": "merchantAuthentication.merchantId",
"message": "Invalid Merchant Id"
},
{
"field": "transactionRequest.transactionType",
"message": "Invalid Transaction Type"
}
]
}